org.apache.cayenne.rop

## Class ROPServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.apache.cayenne.rop.ROPServlet

- All Implemented Interfaces:
    Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

      public class ROPServlet
      extends javax.servlet.http.HttpServlet

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected RemoteService` | `remoteService`
    `protected ROPSerializationService` | `serializationService`
    `protected javax.servlet.ServletContext` | `servletContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ROPServlet()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `checkAlreadyConfigured(javax.servlet.ServletContext context)`
    `void` | `destroy()`
    `protected void` | `doPost(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp)`
    `void` | `init(javax.servlet.ServletConfig configuration)`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### servletContext

          protected javax.servlet.ServletContext servletContext

    - #### remoteService

          protected RemoteService remoteService

    - #### serializationService

          protected ROPSerializationService serializationService

  - ### Constructor Detail

    - #### ROPServlet

          public ROPServlet()

  - ### Method Detail

    - #### init

          public void init(javax.servlet.ServletConfig configuration)
                    throws javax.servlet.ServletException

      Specified by:
        `init` in interface `javax.servlet.Servlet`
      Overrides:
        `init` in class `javax.servlet.GenericServlet`
      Throws:
        `javax.servlet.ServletException`

    - #### checkAlreadyConfigured

          protected void checkAlreadyConfigured(javax.servlet.ServletContext context)
                                         throws javax.servlet.ServletException

      Throws:
        `javax.servlet.ServletException`

    - #### destroy

          public void destroy()

      Specified by:
        `destroy` in interface `javax.servlet.Servlet`
      Overrides:
        `destroy` in class `javax.servlet.GenericServlet`

    - #### doPost

          protected void doPost(javax.servlet.http.HttpServletRequest req,
                                javax.servlet.http.HttpServletResponse resp)
                         throws javax.servlet.ServletException,
                                IOException

      Overrides:
        `doPost` in class `javax.servlet.http.HttpServlet`
      Throws:
        `javax.servlet.ServletException`
        `IOException`

Copyright © 2001–2018 Apache Cayenne. All rights reserved.